glutEntryFunc(3GLUT)

NAME
glutEntryFunc - sets the mouse enter/leave callback for the current window.

SYNTAX

void glutEntryFunc(void (*func)(int state));

ARGUMENTS

func
    The new entry callback function.

DESCRIPTION
glutEntryFunc sets the mouse enter/leave callback for the current window. The state callback parameter is either GLUT_LEFT or GLUT_ENTERED depending on if the mouse pointer has last left or entered the window. Passing NULL to glutEntryFunc disables the generation of the mouse enter/leave callback. Some window systems may not generate accurate enter/leave callbacks. X IMPLEMENTATION NOTES An X implementation of GLUT should generate accurate enter/leave callbacks.

SEE ALSO
glutMotionFunc, glutCreateWindow

AUTHOR
Mark J. Kilgard (mjk@nvidia.com)